curl --request GET \
--url https://{GEM_API_URL}/externalapi/GetMerchantPriceDetailsimport requests
url = "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails")
.asString();require 'uri'
require 'net/http'
url = URI("https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"countryCode": "IL",
"countryCode3": "ISR",
"countryName": "Israel",
"currencySymbol": "₪",
"currencyCode": "ILS",
"currencyFormatSymbol": {
"PlaceCurrencySymbolBeforePrice": true,
"UseCurrencySymbolSpace": false
},
"currencyDecimalNominator": ".",
"currencyThousandSeparator": ",",
"currencyDecimalPlaces": 0,
"culture": "he",
"baseCountryCode": "GB",
"baseCurrencySymbol": "£",
"baseCurrencyCode": "GBP",
"baseCurrencyDecimalPlaces": 2,
"isOperatedByGlobale": true,
"currencyConversionRate": 284.0018489445,
"countryCoefficientRate": 1.05,
"productClassCoefficients": {
"extra-charge": 1.8
},
"isGrossPrices": true,
"roundingRules": {
"RoundingRuleId": 108,
"CurrencyCode": "ILS",
"CountryCode": null,
"RoundingRanges": [
{
"From": 1,
"To": 100,
"Threshold": 0.01,
"LowerTarget": 1,
"UpperTarget": 1,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 1,
"RoundingExceptions": []
},
{
"From": 100,
"To": 1000,
"Threshold": 5.01,
"LowerTarget": 15,
"UpperTarget": 10,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 10,
"RoundingExceptions": []
},
{
"From": 1000,
"To": 10000,
"Threshold": 50.01,
"LowerTarget": 150,
"UpperTarget": 100,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 100,
"RoundingExceptions": []
},
{
"From": 10000,
"To": 100000000000000,
"Threshold": 0.01,
"LowerTarget": 100,
"UpperTarget": 100,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 100,
"RoundingExceptions": []
}
]
},
"vatSettings": {
"VATTypeId": 0,
"LocalVATRate": 20,
"DistanceSellingVATRate": 20,
"UseDistanceSellingVAT": false
}
}GetMerchantPriceDetails (Merchant to Global-e)
Obtain the parameters required to calculate international product prices in a destination country’s currency.
curl --request GET \
--url https://{GEM_API_URL}/externalapi/GetMerchantPriceDetailsimport requests
url = "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails")
.asString();require 'uri'
require 'net/http'
url = URI("https://{GEM_API_URL}/externalapi/GetMerchantPriceDetails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"countryCode": "IL",
"countryCode3": "ISR",
"countryName": "Israel",
"currencySymbol": "₪",
"currencyCode": "ILS",
"currencyFormatSymbol": {
"PlaceCurrencySymbolBeforePrice": true,
"UseCurrencySymbolSpace": false
},
"currencyDecimalNominator": ".",
"currencyThousandSeparator": ",",
"currencyDecimalPlaces": 0,
"culture": "he",
"baseCountryCode": "GB",
"baseCurrencySymbol": "£",
"baseCurrencyCode": "GBP",
"baseCurrencyDecimalPlaces": 2,
"isOperatedByGlobale": true,
"currencyConversionRate": 284.0018489445,
"countryCoefficientRate": 1.05,
"productClassCoefficients": {
"extra-charge": 1.8
},
"isGrossPrices": true,
"roundingRules": {
"RoundingRuleId": 108,
"CurrencyCode": "ILS",
"CountryCode": null,
"RoundingRanges": [
{
"From": 1,
"To": 100,
"Threshold": 0.01,
"LowerTarget": 1,
"UpperTarget": 1,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 1,
"RoundingExceptions": []
},
{
"From": 100,
"To": 1000,
"Threshold": 5.01,
"LowerTarget": 15,
"UpperTarget": 10,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 10,
"RoundingExceptions": []
},
{
"From": 1000,
"To": 10000,
"Threshold": 50.01,
"LowerTarget": 150,
"UpperTarget": 100,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 100,
"RoundingExceptions": []
},
{
"From": 10000,
"To": 100000000000000,
"Threshold": 0.01,
"LowerTarget": 100,
"UpperTarget": 100,
"RangeBehavior": 3,
"TargetBehaviorHelperValue": 100,
"RoundingExceptions": []
}
]
},
"vatSettings": {
"VATTypeId": 0,
"LocalVATRate": 20,
"DistanceSellingVATRate": 20,
"UseDistanceSellingVAT": false
}
}Query Parameters
Response
The set of price calculation parameters and rules for the requested destination country and currency.
The price calculation parameters and rules returned for a destination country and currency. Field names, types, and descriptions are taken verbatim from the docs "Parameters" (Response) table; currencyFormatSymbol and isGrossPrices appear only in the worked example (no table row) and are flagged in review §2.
Whether the selected country is operated by Global-e. This flag is be used as a Mode indicator. True: yes. In this case, Global-e converts the prices and opens their checkout. False: no. Countries that are not operated by Global‑e must still be available for selection as a shipping destination on the merchant's site. However Global‑e functionality must be disabled for such countries.

